%define pkgname glade

Summary: GTK+ / GNOME 2 widget builder
Name: %{pkgname}2
Version: 2.12.1
Release: %mkrel 4
License: LGPL
Url: http://glade.gnome.org/
Group: Development/GNOME and GTK+
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
Source2: %{pkgname}_icons.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: libxml2-devel
BuildRequires: libgnomeprintui-devel
BuildRequires: libgnomeui2-devel >= 2.9
#BuildRequires: gnome-db2.0-devel
BuildRequires: scrollkeeper
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
Requires(post): scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3

%description
Glade is a Widget builder for Gtk/gnome. 
It allows to create a gtk/gnome interface in C, C++, Ada and Perl

%prep
%setup -q -a 2 -n %{pkgname}-%{version}

%build

%configure2_5x --disable-gnome-db
%make

%install
rm -fr %buildroot

%makeinstall_std


## menu
install -m 755 -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/glade-2" needs="X11" icon="%{name}.png"\
  section="More Applications/Development/Development Environments" \
  title="Glade 2" longtitle="GTK/GNOME 2 Widget Builder" startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-DevelopmentEnvironments" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %{buildroot}%{_miconsdir} %{buildroot}%{_liconsdir}
install -m 644 %{pkgname}_16.png %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 %{pkgname}_32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 %{pkgname}_48.png %{buildroot}%{_liconsdir}/%{name}.png

%{find_lang} %{name}-2.0 --with-gnome --all-name

%clean
rm -fr %buildroot

%post
%update_scrollkeeper
%{update_menus}

%postun
%clean_scrollkeeper
%{clean_menus}

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README FAQ TODO
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/glade-2
%dir %{_datadir}/omf/glade-2
%{_datadir}/omf/glade-2/*-C.omf
%lang(ro) %{_datadir}/omf/glade-2/*-ro.omf
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Nov 02 2006 Texstar <texstar@houston.rr.com> 2.12.1-4pclos2007
- Build for PCLinuxOS 2007

